import { h } from 'preact';
import { Link } from 'preact-router';
import { useContext } from 'preact/hooks';
import AppState from '../../store/AppState';
function Menu({ items }) {
    let [menu_shown, toggle_menu] = useContext(AppState).menu;
    if (!items) return;
    const onClick = (e) => {
        e.preventDefault();
        toggle_menu('hide');
    }
    if (menu_shown)
        return (
            <div class="container" >
                <nav className='menu' >
                    <ul>
                        {items.map((element, i) => (<li key={i}><Link href={element.path} onClick={onClick} >{element.text}</Link></li>))}
                    </ul>
                </nav>

            </div>);
}

export default Menu;